python3-defaults (3.13.7-1) unstable; urgency=medium

  * Bump version to 3.13.7.
  * Drop workaround for bpo-22966, no longer needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 21 Aug 2025 17:18:06 +0200

python3-defaults (3.13.5-1) unstable; urgency=medium

  * Bump version to 3.13.5.
  * Fix typo in unsupported_versions.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 30 Jun 2025 09:17:02 +0200

python3-defaults (3.13.4-1) unstable; urgency=medium

  * Bump version to 3.13.4.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Jun 2025 07:58:03 +0200

python3-defaults (3.13.3-1) unstable; urgency=medium

  * Bump version to 3.13.3.
  * Update py3versions man page (Bjarni Ingi Gislason). Closes: #1101400.
  * README.Debian: Update for 3.13. Closes: #1061144.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2025 10:07:25 +0200

python3-defaults (3.13.2-2) unstable; urgency=medium

  * Stop building the 2to3 and python3-lib2to3 packages.
  * python3-full: Don't depend anymore on the removed packages.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Mar 2025 16:29:02 +0100

python3-defaults (3.13.2-1) unstable; urgency=medium

  * Bump version to 3.13.2.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 24 Feb 2025 18:47:22 -0400

python3-defaults (3.13.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 24 Feb 2025 18:41:09 -0400

python3-defaults (3.13.1-3~exp1) experimental; urgency=medium

  * Upload to experimental.
  * Remove Python 3.12 as a supported version.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 Jan 2025 12:53:58 -0400

python3-defaults (3.13.1-2) unstable; urgency=medium

  * py3clean: Migrate away from deprecated glob1. (Closes: #1092357)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 08 Jan 2025 10:16:01 -0400

python3-defaults (3.13.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Jan 2025 10:39:13 +0100

python3-defaults (3.13.1-1~exp2) experimental; urgency=medium

  * Correct Depends of libpython3-dbg: libpython3.13-dbg does not need a t64
    suffix.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 25 Dec 2024 17:34:28 -0400

python3-defaults (3.13.1-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Default to Python 3.13.

  [ Stefano Rivera ]
  * Remove redundant check from check_versions.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 25 Dec 2024 12:20:34 -0400

python3-defaults (3.12.8-1) unstable; urgency=medium

  * Bump version to 3.12.8
  * Update python3-supported-max (missed in 3.12.7-1).
  * Add a check that python3-supported-(min|max) is correct.
  * Re-enable check_versions at build time.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 23 Dec 2024 15:15:27 -0400

python3-defaults (3.12.7-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Bump version to 3.12.7

  [ Stefano Rivera ]
  * Add 3.13 as a supported Python3 version.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Nov 2024 06:53:11 +0100

python3-defaults (3.12.6-1) unstable; urgency=medium

  * Bump version to 3.12.6
  * 2to3: Remove obsolete breaks/replaces.
  * Make python3 maintainer scripts more robust for runtime updates.
    LP: #2078356.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Sep 2024 17:21:13 +0200

python3-defaults (3.12.5-1) unstable; urgency=medium

  * Bump version to 3.12.5
  * debpython/files.py: Set LC_ALL="C.UTF-8" before calling dpkg -L to avoid
    localization issues (LP: #2075337)
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Aug 2024 07:30:33 +0200

python3-defaults (3.12.4-1) unstable; urgency=medium

  * Bump version to 3.12.4
  * python3: Conflict with python3-distutils.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Jul 2024 11:46:46 +0200

python3-defaults (3.12.3-1) unstable; urgency=medium

  * Bump version to 3.12.3
  * Drop dependencies on python3-distutils.
  * Remove Python 3.11 as a supported version.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Jul 2024 13:01:35 +0200

python3-defaults (3.12.2-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Migrate to html2text 2.x, which dropped the -pretty flag.
    Closes: #1064737.
  * Fix typo in py3clean manpage. Thanks JT Hundley. Closes: #1070728.

  [ Matthias Klose ]
  * Bump version.
  * Depend on libpython3.XYt64-dbg, tighten python3.12 build dependency.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Jun 2024 10:23:35 +0200

python3-defaults (3.12.1-1) experimental; urgency=medium

  * Default to Python 3.12.
  * Bump hardcoded Provides: python3-supported-max to 3.12.
  * Stop building the transitional idle3 package. Closes: #1032789.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Jan 2024 09:02:48 +0100

python3-defaults (3.11.6-1) unstable; urgency=medium

  * Add 3.12 as a supported Python3 version.
  * Bump version to 3.11.6.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Dec 2023 10:21:41 +0100

python3-defaults (3.11.4-5) unstable; urgency=medium

  * Source-only upload.

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 05 Jul 2023 11:27:27 +0200

python3-defaults (3.11.4-4) unstable; urgency=high

  * Fix importlib.util import (-3 regression, closes: 1040316)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 04 Jul 2023 19:49:27 +0200

python3-defaults (3.11.4-3) unstable; urgency=medium

  * debpython/interpreter.py: Stop using the imp module, removed in 3.12.
    Closes: #1040261.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Jul 2023 12:08:14 +0200

python3-defaults (3.11.4-2) experimental; urgency=medium

  * Add new binary package: python3-all-venv. Closes: #1039988.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 01 Jul 2023 09:38:35 -0400

python3-defaults (3.11.4-1) unstable; urgency=medium

  * Bump version to 3.11.4.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Jun 2023 14:41:31 +0200

python3-defaults (3.11.2-1) unstable; urgency=high

  * Bump version to 3.11.2. Closes: #1031336.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Feb 2023 11:07:00 +0100

python3-defaults (3.11.1-3) unstable; urgency=medium

  * Update python-policy doc-base metadata. (Closes: #1013185)
  * Avoid an unnecessary shell in debpython and py3compile. (Closes: #1025976)
  * Avoid use of lsb-release, to ease bootstrapping.
  * Avoid circular Build-Depends on python3-minimal, to ease bootstrapping.
  * Support the nodoc build profile, to allow bootstrapping. (Closes: #869959)
  * py3compile: Correctly parse the PEP-552 (3.7+) expanded bytecode file
    header, avoiding unnecessary re-compilation. (Closes: #1006136)
  * py3compile: Handle post-2038 mtimes, by treating them as unsigned ints.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 29 Jan 2023 18:22:38 -0400

python3-defaults (3.11.1-2) unstable; urgency=medium

  * Provide python3-supported-min and python3-supported-max versioned virtual
    packages, to allow modules to easily declare dependencies for all
    supported versions.
  * Bump Depends to 3.11.1-1.
  * Drop support for Python 3.10.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 28 Jan 2023 09:46:57 -0400

python3-defaults (3.11.1-1) unstable; urgency=medium

  * Default to python 3.11.
  * Bump version to 3.11.1.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Jan 2023 16:35:47 +0100

python3-defaults (3.10.6-3) unstable; urgency=medium

  * Update python.mk to use distutils from setuptools, to determine build
    directory names. Thanks YOKOTA Hiroshi.
  * Add --{min,max}-supported to py3versions, thanks Julian Gilbey.
    Closes: #1016073

 -- Stefano Rivera <stefanor@debian.org>  Tue, 15 Nov 2022 21:36:57 +0200

python3-defaults (3.10.6-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Add 3.11 as a supported Python3 version
  * Bump version to 3.10.8.
  * Update valgrind suppression file.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Nov 2022 11:10:31 +0200

python3-defaults (3.10.6-1) unstable; urgency=medium

  * Bump version to 3.10.6.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Aug 2022 14:57:39 +0200

python3-defaults (3.10.5-3) unstable; urgency=medium

  * Source-only upload.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Jul 2022 16:23:40 +0200

python3-defaults (3.10.5-2) unstable; urgency=medium

  * Build a python3-nopie package.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 12:13:55 +0200

python3-defaults (3.10.5-1) unstable; urgency=medium

  * Bump version to 3.10.5.
  * Remove Python 3.9 as a supported version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 12:02:10 +0200

python3-defaults (3.10.4-1) unstable; urgency=medium

  * Default to python 3.10.
  * Bump version to 3.10.4.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Mar 2022 19:53:47 +0200

python3-defaults (3.9.8-1) unstable; urgency=medium

  * Bump version to 3.9.8.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 16:56:56 +0100

python3-defaults (3.9.7-4) experimental; urgency=medium

  * Support 2-digit minor versions in py3versions.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 04 Nov 2021 17:20:48 -0700

python3-defaults (3.9.7-3) experimental; urgency=medium

  * Add 3.10 as a supported Python3 version

 -- Matthias Klose <doko@debian.org>  Wed, 03 Nov 2021 13:57:32 +0200

python3-defaults (3.9.7-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Bump version to 3.9.7.
  * Bump standards version.

  [ Dimitri John Ledkov ]
  * Correct command-not-found XB-Cnf headers LP: #1867157:
    - Drop Extra-Commands headers not needed
    - Add XB- to ensure Visible-Pkgname actually is included in the binary
      package headers

  [ Graham Inggs ]
  * Fix py3versions -i for two-digit minor versions.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Nov 2021 12:51:45 +0100

python3-defaults (3.9.4-1) experimental; urgency=medium

  * Bump version to 3.9.4.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Apr 2021 19:28:56 +0200

python3-defaults (3.9.2-3) unstable; urgency=medium

  * Ship index.html to unbreak links in python-policy.html. Closes: #985313.
  * Don't ship html policy links in the python3.9 doc directory.
    Closes: #984961.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Apr 2021 14:00:48 +0200

python3-defaults (3.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 02 Mar 2021 10:55:41 -0800

python3-defaults (3.9.2-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * Update Python Policy to describe python3-full and other interpreter
    packaging changes.
  * Convert Python Policy to Sphinx.
  * Add myself to uploaders.

  [ Matthias Klose ]
  * Bump version to 3.9.2.
  * Make the Sphinx generated documents more compact.
  * Clarify that python3-full must not be used neither as a build dependency
    nor a recommendation.
  * Move the html version of the policy into the python3-dev package.
  * policy: Add paragraphs "Removal of the unversioned packages" and
    "Unversioned python commands.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 02 Mar 2021 10:37:38 -0800

python3-defaults (3.9.2~rc1-1) experimental; urgency=medium

  * Bump version to 3.9.2 rc1.

  [ Stefano Rivera ]
  * Improve package descriptions, describing venv, stdlib, and lib2to3 package
    contents.

  [ Matthias Klose ]
  * Build a python3-full package.
    - Depends on ca-certificates. Closes: #960869.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Feb 2021 12:16:46 +0100

python3-defaults (3.9.1-1) unstable; urgency=medium

  * Bump version to 3.9.1.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Dec 2020 07:05:58 +0100

python3-defaults (3.9.0-4) unstable; urgency=medium

  * Remove 3.8 as a supported Python3 versions.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Dec 2020 11:36:08 +0100

python3-defaults (3.9.0-3) unstable; urgency=medium

  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Nov 2020 21:21:16 +0100

python3-defaults (3.9.0-2) experimental; urgency=medium

  * Relax dependencies on packages built by python3-stdlib-extensions.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Oct 2020 13:35:56 +0200

python3-defaults (3.9.0-1) experimental; urgency=medium

  * Default python3 version to 3.9.
  * Drop the venv binary and man page. Closes: #970764.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Oct 2020 12:10:47 +0200

python3-defaults (3.8.6-1) unstable; urgency=medium

  * Bump version to 3.8.6.
  * Re-introduce the the python3-venv package.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Oct 2020 21:25:54 +0200

python3-defaults (3.8.5-1) experimental; urgency=medium

  [ Scott Kitterman ]
  * Policy: Update wheel policy to allow python3 only wheels for packages
    (like setuptools) that no longer support python2 (Scott Kitterman).

  [ Matthias Klose ]
  * Bump version to 3.8.5.
  * Add 3.9 as a supported Python3 version.
  * Stop building the python3-venv package.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Aug 2020 14:51:41 +0200

python3-defaults (3.8.2-3) unstable; urgency=medium

  * Remove 3.7 as a supported Python3 versions.
  * Fix policy for location for Python 3 local modules. Closes: #884736.
  * Policy: Clarify module package naming (Simon McVittie).
  * Policy: Prefer to document python3-foo in python-foo-doc (Simon McVittie).

 -- Matthias Klose <doko@debian.org>  Tue, 07 Apr 2020 12:43:18 +0200

python3-defaults (3.8.2-2) unstable; urgency=medium

  [ Stuart Prescott ]  
  * py3compile: use unbuffered IO to pass filenames to py_compile
    (closes: 953056)

  [ Piotr Ożarowski ]
  * Byte compile exception patterns (bcep) changes:
    - new "file" type to list just one file
      example: file|-4.0|/usr/share/foo/test.py
    - ignore lines that start with hash char. (to allow comments)
    - tighten checking directory name (partial match was possible before)
    - in "re" type's pattern - check relative paths in addition to full path
      (i.e. no need to include directory path in the pattern)
      example: re|-4.0|/usr/lib/bar|baz/test.*\.py
    - only warn about invalid patterns (instead of failing)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 21 Mar 2020 17:18:03 +0100

python3-defaults (3.8.2-1) unstable; urgency=medium

  * Bump version to 3.8.2.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Mar 2020 13:40:23 +0100

python3-defaults (3.8.0-3) experimental; urgency=medium

  * Drop the symlinks with the m modifier.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Dec 2019 13:49:16 +0100

python3-defaults (3.8.0-2) experimental; urgency=medium

  * Bump the defaults version in the python_defaults file as well-

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2019 17:31:54 +0100

python3-defaults (3.8.0-1) experimental; urgency=medium

  * Default python3 version to 3.8.
  * python3-dbg: Provide a python3-dbg-embed.pc pkg-config file.
  * Move the pkg-config files into libpython3-dev and libpython3-dbg.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Nov 2019 12:38:19 +0100

python3-defaults (3.7.5-3) unstable; urgency=medium

  [ Matthias Klose ]
  * Update the Python policy for the Python2 removal (Neil Williams).
    Closes: #943666.
  * Prepare to ship the python*-embed pkg-config files with 3.8 as the
    default Python3 version.

  [ Piotr Ożarowski ]
  * Remove dh-python dependency from python3-all and python3-dev packages.
    Packages should build depend on dh-python or dh-sequence-python3 instead.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Nov 2019 15:13:23 +0100

python3-defaults (3.7.5-2) experimental; urgency=medium

  * Add 3.8 as a supported Python3 versions.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Oct 2019 11:41:55 +0200

python3-defaults (3.7.5-1) unstable; urgency=medium

  * Bump version to 3.7.5.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Oct 2019 14:31:29 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpython3-dbg`.
